/*
* ----------------------------------------------------------------------------
* "THE BEER-WARE LICENSE" (Revision 42):
* <phk@FreeBSD.ORG> wrote this file. As long as you retain this notice you
* can do whatever you want with this stuff. If we meet some day, and you think
* this stuff is worth it, you can buy me a beer in return Daniel Cogo de Vargas
* and Ivon Eduardo Esser Rosa.
* ----------------------------------------------------------------------------
*/

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package jogo;

import elementos.Personagem;
import javax.swing.JPanel;

/**
 * Classe Tiro contém um construtor para o mesmo e também uma sobreescrita do
 * método mover, de Personagem.
 * @author Daniel de Cogo Vargas e Ivon Eduardo Esser Rosa
 */
public class Tiro extends Personagem {

    /**
     * Construtor do Tiro, padrão de construtor da superclasse Personagem.
     * @param jp - referencia ao JPanel onde a imagem será inserida.
     * @param px - posicao X inicial onde o Tiro irá aparecer
     * @param py - posicao Y inicial onde o Tiro irá aparecer
     * @param vd - Vida do tiro, usado apenas pois existe em Personagem
     */
    public Tiro(JPanel jp, int px, int py, int vd) {
        super("tiro.png", jp, px, py, vd);

    }

   /**
    * Sobreescrita do método mover da classe Personagem. É diferente pois ele
    * não se move com o teclado, mas sim incrementando/decrementando X.
    * @param var - Quantidade de unidades que o tiro irá se mover (se positivo,
    * o tiro irá da esquerda para a direita (Para frente). Se negativo, o
    * tiro irá da direita para a esquerda (Para trás))
    */
public void mover(int var){
    this.x = this.x+var;
}



}
