/*
* ----------------------------------------------------------------------------
* "THE BEER-WARE LICENSE" (Revision 42):
* <phk@FreeBSD.ORG> wrote this file. As long as you retain this notice you
* can do whatever you want with this stuff. If we meet some day, and you think
* this stuff is worth it, you can buy me a beer in return Daniel Cogo de Vargas
* and Ivon Eduardo Esser Rosa.
* ----------------------------------------------------------------------------
*/

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package jogo;

import elementos.Jogador;
import java.util.Random;
import javax.swing.JPanel;


/**
 * Método construtor para definir inimigo.
 * @author Daniel Cogo de Vargas, Ivon Eduardo Esser Rosa
 */
public class Inimigo extends Jogador{

    /**
     * Metodo construtor do Inimigo.
     * @param jp
     * @param px
     * @param py
     * @param vd
     */
    public Inimigo (JPanel jp, int px, int py, int vd){
        super("joaninha.png", jp, px, py, vd);
    }

    /**
     * Sobreescrita do método atirar, é adicionado a cada ativação do método
     * a imagem do tiro aparecerá no lado esquerdo da imagem, ao contrário do
     * método em Jogador, que aparece à Direita da imagem (devido ao sentido
     * do movimento dos personagens).
     */
   public void Atirar(){ // metodo para ativar tiro do inimigo
       if (vetorTiros.size() < 2){ // 2 por vez
            vetorTiros.add(new Tiro(tela, this.getX()-this.getLargura(), this.getY()+this.getAltura()/2, 10));
       }
   }

}

